<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.zksy.data.mapper.XcrNonNaturalPersonContributionMapper">

    <resultMap id="BaseResultMap" type="com.zksy.data.domain.po.XcrNonNaturalPersonContribution">
            <id property="invid" column="INVID" jdbcType="VARCHAR"/>
            <result property="etpsId" column="ETPS_ID" jdbcType="VARCHAR"/>
            <result property="pripid" column="PRIPID" jdbcType="VARCHAR"/>
            <result property="inv" column="INV" jdbcType="VARCHAR"/>
            <result property="invtype" column="INVTYPE" jdbcType="VARCHAR"/>
            <result property="invtypeCn" column="INVTYPE_CN" jdbcType="VARCHAR"/>
            <result property="blictype" column="BLICTYPE" jdbcType="VARCHAR"/>
            <result property="blictypeCn" column="BLICTYPE_CN" jdbcType="VARCHAR"/>
            <result property="blicno" column="BLICNO" jdbcType="VARCHAR"/>
            <result property="subconam" column="SUBCONAM" jdbcType="DECIMAL"/>
            <result property="subconamusd" column="SUBCONAMUSD" jdbcType="DECIMAL"/>
            <result property="subconform" column="SUBCONFORM" jdbcType="VARCHAR"/>
            <result property="subconprop" column="SUBCONPROP" jdbcType="DECIMAL"/>
            <result property="condate" column="CONDATE" jdbcType="DATE"/>
            <result property="acconam" column="ACCONAM" jdbcType="DECIMAL"/>
            <result property="acconamusd" column="ACCONAMUSD" jdbcType="DECIMAL"/>
            <result property="dom" column="DOM" jdbcType="VARCHAR"/>
            <result property="currency" column="CURRENCY" jdbcType="VARCHAR"/>
            <result property="currencyCn" column="CURRENCY_CN" jdbcType="VARCHAR"/>
            <result property="country" column="COUNTRY" jdbcType="VARCHAR"/>
            <result property="countryCn" column="COUNTRY_CN" jdbcType="VARCHAR"/>
            <result property="exeaffsign" column="EXEAFFSIGN" jdbcType="VARCHAR"/>
            <result property="respform" column="RESPFORM" jdbcType="VARCHAR"/>
            <result property="respformCn" column="RESPFORM_CN" jdbcType="VARCHAR"/>
            <result property="sExtDatatime" column="S_EXT_DATATIME" jdbcType="TIMESTAMP"/>
    </resultMap>

    <sql id="Base_Column_List">
        INVID,ETPS_ID,PRIPID,
        INV,INVTYPE,INVTYPE_CN,
        BLICTYPE,BLICTYPE_CN,BLICNO,
        SUBCONAM,SUBCONAMUSD,SUBCONFORM,
        SUBCONPROP,CONDATE,ACCONAM,
        ACCONAMUSD,DOM,CURRENCY,
        CURRENCY_CN,COUNTRY,COUNTRY_CN,
        EXEAFFSIGN,RESPFORM,RESPFORM_CN,
        S_EXT_DATATIME
    </sql>
</mapper>
